package com.xinyilu.system.domain.testItemStandard;

import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 测试项目得分区间对象 test_item_standard
 *
 * @author jihan
 * @date 2022-08-02
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "测试项目得分区间对象", description = "test_item_standard")
public class TestItemStandard extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 9170834010373537380L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 测试项目表id
     */
    @ApiModelProperty(value = "测试项目表id")
    private Long testItemsId;

    /**
     * 指标类型，0：小班指标，1：中班指标，2：大班指标，3：统一
     */
    @ApiModelProperty(value = "指标类型，unified_standard：统一指标，disunity_standard：非统一指标")
    private String standardType;

    /**
     * 最高得分
     */
    @ApiModelProperty(value = "最高得分")
    private BigDecimal maxScore;

    /**
     * 最低得分
     */
    @ApiModelProperty(value = "最低得分")
    private BigDecimal minScore;

    /**
     * 级别描述
     */
    @ApiModelProperty(value = "级别描述")
    private String levelDescription;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sorting;

    /**
     * 是否删除，0：否，1：是
     */
    private Integer delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("testItemsId", getTestItemsId())
                .append("standardType", getStandardType())
                .append("maxScore", getMaxScore())
                .append("minScore", getMinScore())
                .append("levelDescription", getLevelDescription())
                .append("sorting", getSorting())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
